net/miniupnpd - The NetBSD Packages Collection

UPnP IGD service with NAT-PMP support

The MiniUPnP project offers software which supports the UPnP Internet Gateway
Device (IGD) specifications. Recently, NAT-PMP support was added to
MiniUPnPd. For client side NAT-PMP support, use libnatpmp.

UPnP and NAT-PMP are used to improve internet connectivity for devices behind
a NAT router. Any peer to peer network application such as games, IM, etc.
can benefit from a NAT router supporting UPnP and/or NAT-PMP.

The latest generation Microsoft XBOX 360 and Sony Playstation 3 game machines
use UPnP commands to enable the online play with the XBOX Live service and
the Playstation Network. It has been reported that miniupnpd is correctly
working with the two consoles.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfminiupnpd-2.1.tgz
NetBSD 8.0earmv7hfminiupnpd-2.1.tgz
NetBSD 8.0earmv7hfminiupnpd-2.1.tgz
NetBSD 8.0i386miniupnpd-2.1.tgz
NetBSD 8.0i386miniupnpd-2.1.tgz
NetBSD 8.0i386miniupnpd-2.1.tgz
NetBSD 8.0powerpcminiupnpd-2.1.tgz
NetBSD 8.0powerpcminiupnpd-2.1.tgz
NetBSD 8.0powerpcminiupnpd-2.1.tgz
NetBSD 8.0powerpcminiupnpd-2.1.tgz
NetBSD 8.0x86_64miniupnpd-2.1.tgz
NetBSD 8.0x86_64miniupnpd-2.1.tgz
NetBSD 8.0x86_64miniupnpd-2.1.tgz
NetBSD 9.0aarch64miniupnpd-2.1.tgz
NetBSD 9.0aarch64miniupnpd-2.1.tgz
NetBSD 9.0aarch64miniupnpd-2.1.tgz
NetBSD 9.0alphaminiupnpd-2.1.tgz
NetBSD 9.0alphaminiupnpd-2.1.tgz
NetBSD 9.0alphaminiupnpd-2.1.tgz
NetBSD 9.0earmv6hfminiupnpd-2.1.tgz
NetBSD 9.0earmv6hfminiupnpd-2.1.tgz
NetBSD 9.0earmv6hfminiupnpd-2.1.tgz
NetBSD 9.0earmv6hfminiupnpd-2.1.tgz
NetBSD 9.0earmv7hfminiupnpd-2.1.tgz
NetBSD 9.0earmv7hfminiupnpd-2.1.tgz
NetBSD 9.0earmv7hfminiupnpd-2.1.tgz
NetBSD 9.0earmv7hfminiupnpd-2.1.tgz
NetBSD 9.0earmv7hfminiupnpd-2.1.tgz
NetBSD 9.0i386miniupnpd-2.1.tgz
NetBSD 9.0i386miniupnpd-2.1.tgz
NetBSD 9.0i386miniupnpd-2.1.tgz
NetBSD 9.0mips64ebminiupnpd-2.1.tgz
NetBSD 9.0mips64ebminiupnpd-2.1.tgz
NetBSD 9.0mips64ebminiupnpd-2.1.tgz
NetBSD 9.0powerpcminiupnpd-2.1.tgz
NetBSD 9.0powerpcminiupnpd-2.1.tgz
NetBSD 9.0powerpcminiupnpd-2.1.tgz
NetBSD 9.0powerpcminiupnpd-2.1.tgz
NetBSD 9.0sparc64miniupnpd-2.1.tgz
NetBSD 9.0sparc64miniupnpd-2.1.tgz
NetBSD 9.0sparc64miniupnpd-2.1.tgz
NetBSD 9.0sparc64miniupnpd-2.1.tgz
NetBSD 9.0sparcminiupnpd-2.1.tgz
NetBSD 9.0sparcminiupnpd-2.1.tgz
NetBSD 9.0x86_64miniupnpd-2.1.tgz
NetBSD 9.0x86_64miniupnpd-2.1.tgz
NetBSD 9.0x86_64miniupnpd-2.1.tgz
NetBSD 9.0x86_64miniupnpd-2.1.tgz
NetBSD 9.0x86_64miniupnpd-2.1.tgz
NetBSD 9.0x86_64miniupnpd-2.1.tgz
NetBSD 9.0x86_64miniupnpd-2.1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

ipfilter
ipfw
pf

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.